[oe,meta-oe,sumo,1/2] meta-multimedia: fixup LAYERDEPENDS

Message ID 20180926121806.30667-2-nicolas.dechesne@linaro.org
State New
Headers show
Series
  • Fixed required for Yocto 2.0 compliance check
Related show

Commit Message

Nicolas Dechesne Sept. 26, 2018, 12:18 p.m.
libebml depends on dos2unix classe since 26dafa0f3542 (libebml: inherit
dos2unix), so LAYERDEPENDS needs to be updated accordingly, otherwise we are
getting a ParseError:

ERROR: ParseError at
/srv/work/oe/meta-openembedded/meta-multimedia/recipes-mkv/libebml/libebml_1.3.0.bb:13:
Could not inherit file classes/dos2unix.bbclass

It was initially found with yocto-check-layer script.

In OE/master branch, the dos2unix class was moved to oe-core, so the problem
does not exist in master, and this patch is less invasive than cherry pick the
change from master (move dos2unix from meta-oe to oe-core).

Signed-off-by: Nicolas Dechesne <nicolas.dechesne@linaro.org>

---
 meta-multimedia/conf/layer.conf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

-- 
2.18.0

-- 
_______________________________________________
Openembedded-devel mailing list
Openembedded-devel@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-devel

Patch

diff --git a/meta-multimedia/conf/layer.conf b/meta-multimedia/conf/layer.conf
index cfedf2f6b..a1dfed4e9 100644
--- a/meta-multimedia/conf/layer.conf
+++ b/meta-multimedia/conf/layer.conf
@@ -27,6 +27,6 @@  BBFILE_PRIORITY_multimedia-layer = "6"
 # cause compatibility issues with other layers
 LAYERVERSION_multimedia-layer = "1"
 
-LAYERDEPENDS_multimedia-layer = "core"
+LAYERDEPENDS_multimedia-layer = "core openembedded-layer"
 
 LAYERSERIES_COMPAT_multimedia-layer = "sumo"